﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    
    image bedroom = "bedroomday.png"
    
    image rina = "pose04.png"
    image rina amazed = "pose02.png"
    image rina happy = "pose03.png"

    # Declare characters used by this game.
    $ j = Character('Jake', color="#c8ffc8")
    $ r = Character('Rina', color="#c8ffc8")
    
    
    $ slowfade= Fade(2, .5, 2)


# The game starts here.
label start:
    
    scene bedroom with dissolve
    
    show rina with dissolve
    
    r "Hey, wanna play some games?"
    
    j "Sure, which one do you want?"
    
    hide rina with dissolve
    
    r "Hmm..."
    
    show rina happy with dissolve
    
    r "How about this one?"
    
    "She hands me the disc, it reads \"Seed Fighter 2.\""
    
    j "Hmhmhmm, a nice choice."
    
    "I popped the disc into the console and watched as the intro sequence played."
    
    show rina with dissolve
    
    r "So, which character are you gonna play as?"
    
    j "Hmm, i think I'll..."
    
    scene bedroom
    show rina amazed
    with slowfade
    
    r "Wow, You're good."
    
    j "You were pretty good too."
    
    show rina with dissolve
    
    r "How about we play something different now?"
    
    j "Alright, which one?"
    
    hide rina with dissolve
    
    r "Hmm..."
    
    show rina with dissolve
    
    r "This one."
    
    "A shooter? Hmm, \"Elites 4.\""
    
    r "By the way, what's your favorite weapon? Mine's the Shotgun."
    
    j "I'm more of an SMG guy myself..."
    
    scene bedroom
    show rina happy
    with slowfade
    
    r "Wow! I won!"
    
    j "Say, how about we play a racer next?"
    
    "I got up to look at my collection."
    
    j "How about \"Great wheel?\""
    
    scene bedroom with slowfade
    
    j "Come on... Come on..."
    
    extend " Dammit!" with hpunch
    
    show rina happy with dissolve
    
    r "Yay! I won again!"
    
    j "Phew, this game always gets my heart going."
    
    "I lie down on the bed, still exhausted from the exitement."
    
    show rina with dissolve
    
    r "That was fun."
    
    hide rina with dissolve
    
    "She sat down on the floor next to me."
    
    r "You got so many games, but what is it you like the most in them?"
    
    j "Hmm, i don't know... I just like games."
    
    r "Hmm..."
    
    "She rested her head on the bed next to mine."
    
    j "What is it?"
    
    r "Nothing... Well... How about we just lie here for a while?"
    
    j "Alright..."
    
    scene black with fade
    
    "After that we played even more games, and had lots of fun."
    
label credits:
    
    show text "A Taroku Production" with dissolve
    
    $ renpy.pause(2)
    
    hide text with dissolve
    
    show text "Story by Taroku" with dissolve
    
    $ renpy.pause(2)
    
    hide text with dissolve
    
    show text "Coding by Taroku" with dissolve
    
    $ renpy.pause(2)
    
    hide text with dissolve
    
    show text "Character Design by tsuina \n http://tomoko.denpa.org/" with dissolve
    
    $ renpy.pause(2)
    
    hide text with dissolve
    
    show text "Background Graphic by BCS" with dissolve
    
    $ renpy.pause(2)
    
    hide text with dissolve
    
    show text "Thank you for playing!" with dissolve
    
    $ renpy.pause(2)
    
    hide text with dissolve